﻿using System;
using System.Linq;

namespace EnitityFrameworkStoreEnumsAsString
{
    class Program
    {
        static void Main(string[] args)
        {
            var context = new StringsForEnumsContext();
            var tSmith = new Person { FirstName = "Thomas", LastName = "Smith", Gender = Gender.Male };
            var sJones = new Person { FirstName = "Sally", LastName = "Jones", Gender = Gender.Female };

            context.Person.Add(tSmith);
            context.Person.Add(sJones);
            context.SaveChanges();

            var tSmithFromDB = context.Person.FirstOrDefault(p => p.FirstName == "Thomas");
            var sJonesFromDB = context.Person.FirstOrDefault(p => p.FirstName == "Sally");
            Console.ReadKey();
        }
    }
}
